---
updatedAt: 2025-06-12T23:57:50.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Update Fiat Account

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/fiat-accounts/{id}": {
      "patch": {
        "summary": "Update Fiat Account",
        "description": "",
        "operationId": "update-fiat-account",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "label": {
                    "type": "string",
                    "description": "An optional label to easily identify the account on the Dashboard."
                  },
                  "metadata": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "status": {
                    "type": "string",
                    "description": "Block/Unblock a fiat account temporarily or Close it permanently by updating its' status.",
                    "enum": [
                      "BLOCKED",
                      "ACTIVE",
                      "CLOSED"
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"fac_ov8jkx67ndy1dbglam\",\n    \"balance\": {\n        \"actual\": \"0.00\",\n        \"available\": \"0.00\",\n        \"reserved\": \"0.00\"\n    },\n    \"currency\": \"GBP\",\n    \"bankDetails\": {\n      \"bankAddress\": null,\n      \"bankName\":\"JP Morgan\",\n      \"accountHolderName\": \"Quantum LTD\",\n      \"country\":\"GB\",\n      \"iban\":null,\n      \"bic\":null,\n      \"accountNumber\":\"12345678\",\n      \"routingCodes\":[\n        {\n         \"value\":\"000000\",\n         \"type\":\"SORT_CODE\"\n        }\n      ],\n    \"label\": \"Quantum LTD GBP Account\",\n    \"status\": \"ACTIVE\",\n    \"tags\": [\n        \"CLIENT_MONEY\"\n    ],\n    \"createdAt\": 1637593856104,\n    \"updatedAt\": 1637593856104,\n    \"metadata\": {\n        \"userId\": \"abc12345678\"\n    }\n}"
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errorCode\": \"RESOURCE_MISSING\",\n    \"message\": \"FiatAccount with 'fac_xxxxyyyyzzzz' id does not exist.\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errorCode": {
                      "type": "string",
                      "example": "RESOURCE_MISSING"
                    },
                    "message": {
                      "type": "string",
                      "example": "FiatAccount with 'fac_xxxxyyyyzzzz' id does not exist."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request PATCH \\\n     --url https://sandbox.fiatrepublic.com/api/v1/fiat-accounts/fac_ov8jkx67ndy1dbglam \\\n     --header 'Accept: application/json' \\\n     --header 'Authorization: Bearer ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\\n     --header 'Content-Type: application/json' \\\n     --data '\n{\n    \"label\": \"Nakamotos GBP Account\",\n    \"metadata\": {\n        \"userId\": \"abc12345678\"\n    }\n}\n'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```